Bug 1383770 - Allow deployment of converged (compute/osd on same system) AND non-converged nodes during the same deployment
Summary: Allow deployment of converged (compute/osd on same system) AND non-converged ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: Upstream M2
: 11.0 (Ocata)
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
Don Domingo
URL:
Whiteboard:
Depends On:
Blocks: 1387414 1422739
TreeView+ depends on / blocked
 
Reported: 2016-10-11 17:32 UTC by John Fulton
Modified: 2017-05-17 19:34 UTC (History)
13 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-0.20170106002802.384c400.el7ost.noarch
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:34:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description John Fulton 2016-10-11 17:32:14 UTC
Make it possible to deploy converged and non-converged compute nodes. 

Suppose you want to use TripleO to deploy X computes that are not converged but you want Y computes that are converged. In OSP10's planned new hyperconverged-ceph.yaml template, you declare that all computes will have the OSD service [1]. If this is the only way, then we couldn't support this scenario. 

[1] https://github.com/openstack/tripleo-heat-templates/blob/stable/newton/environments/hyperconverged-ceph.yaml

Comment 1 John Fulton 2016-10-11 17:35:06 UTC
One method to address this is to compose a custom role: 

 https://blueprints.launchpad.net/tripleo/+spec/custom-roles

and either provide an example in the shipped THT or documentation.

Comment 6 John Fulton 2017-01-03 22:30:55 UTC
I confirm that the desired scenario is already supported in OSP10. I have created an example of what Heat environment files I used to verify this and the results at: 

 https://github.com/RHsyseng/hci/tree/master/other-scenarios/mixed-nodes

Marking this BZ as closed current release.

Comment 9 Steve Linabery 2017-01-16 15:52:42 UTC
please add 'fixed in version' info

Comment 11 Yogev Rabl 2017-03-20 14:21:08 UTC
Though I did manage to deploy an HC Overcloud I think there are some issues that need to be addressed here. 
1) It's not the only way - The HCI paper shows how to deploy an Overcloud with hyper converged nodes but it directs how to do it an a very complicated method and without explaining why or what are the alternatives. 
The HCI paper instruct us how to create a new role in TripleO, set the services in it and set its networking topology. This is a very long way of doing it. Another way that should be presented is to add the CephOSD role to the Compute and add an additional network to the network topology. 
If one way is better than another both should be explained with the pros and cons.

2) Missing information regarding IP addresses allocation - several deployments failed when the fixed IP addresses ran over the allocated addresses. Once I have allocated the fixed addresses the deployment was successful, but it was missing all together from the HCI document.
In addition, allocating IP addresses is not the only way to deploy, though IP addresses allocation has it pros, it also requires more configuration from the operator. The document should provide more than one way to deploy an Overcloud.  

With the technical abilities of TripleO to run this kind of deployment already in place, the HCI document should provide more information about how to implement the necessary solution in more than 1 way.

Comment 12 John Fulton 2017-03-20 17:17:46 UTC
(In reply to Yogev Rabl from comment #11)
> Though I did manage to deploy an HC Overcloud I think there are some issues
> that need to be addressed here. 
> 
> 1) It's not the only way - The HCI paper shows how to deploy an Overcloud
> with hyper converged nodes but it directs how to do it an a very complicated
> method and without explaining why or what are the alternatives. 
> The HCI paper instruct us how to create a new role in TripleO, set the
> services in it and set its networking topology. This is a very long way of
> doing it. Another way that should be presented is to add the CephOSD role to
> the Compute and add an additional network to the network topology. 
> If one way is better than another both should be explained with the pros and
> cons.

Rather than add the OSD service to the compute role, one may use /usr/share/openstack-tripleo-heat-templates/environments/hyperconverged-ceph.yaml, which has it added already. This is offered as an alternative solution in the paper already in the beginning of section 6.3 (page 19) and the paper also explains why it is doing it the other way. 

> 2) Missing information regarding IP addresses allocation - several
> deployments failed when the fixed IP addresses ran over the allocated
> addresses. Once I have allocated the fixed addresses the deployment was
> successful, but it was missing all together from the HCI document.
> In addition, allocating IP addresses is not the only way to deploy, though
> IP addresses allocation has it pros, it also requires more configuration
> from the operator. The document should provide more than one way to deploy
> an Overcloud.  

I think you mean that in layout.yaml [1] (or similar), yhat you deployed more nodes than you had coded IPs for? The paper states that you must list each IP if you're going to ensure that each node gets a specific IP. Section 6.5.3 page 31. If that's not what you meant, do you think you could provide your templates?

[1] https://github.com/RHsyseng/hci/blob/master/custom-templates/layout.yaml

Comment 13 Yogev Rabl 2017-03-23 16:16:29 UTC
The Openstack director managed to deploy an Overcloud with hyperconverged and non-hyperconverged nova compute nodes.

Comment 14 errata-xmlrpc 2017-05-17 19:34:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.